### Hierarchy

- LayoutVertex
  - ForceDirectedVertex

This holds ForceDirectedLayout-specific information about Nodes.

This class inherits from LayoutVertex.

## Index

### Constructors

- constructor

### Properties

- charge
- forceX
- forceY
- isFixed
- mass

## Constructors

### constructor

- new ForceDirectedVertex(network: ForceDirectedNetwork): ForceDirectedVertex

- #### Parameters

  - ##### network: ForceDirectedNetwork

  #### Returns ForceDirectedVertex

## Properties

### charge : number

- Gets or sets the electrical charge for this vertex. The default value is NaN.

### forceX : number

- Gets or sets the cumulative force on the vertex in the X direction. The default value is zero.

### forceY : number

- Gets or sets the cumulative force on the vertex in the Y direction. The default value is zero.

### isFixed : boolean

- Gets or sets whether the vertex may be moved by any forces. The default value is false.

### mass : number

- Gets or sets the gravitational mass for this vertex. The default value is NaN.

Copyright © 1998-2019 by Northwoods Software Corporation.